cancel
Showing results for 
Search instead for 
Did you mean: 

Unable to Install Swagger Plugin <PluginManagerAction.ThisPlugin.NotAvailable> (ReadyAPi3.8.1)

SOLVED
hafizimraan
Occasional Contributor

Unable to Install Swagger Plugin <PluginManagerAction.ThisPlugin.NotAvailable> (ReadyAPi3.8.1)

Hi
Am trying to install Swagger Plugin using option "Install from file" by getting plugin from https://github.com/smartbear/readyapi-swagger-plugin mentioned in https://support.smartbear.com/readyapi/docs/integrations/swagger.html but upon browse alert appear that "PluginManagerAction.ThisPlugin.NotAvailable". 

Can anyone help me with this as I have to use Swagger Plugin. Using SwaggerHub is not an option in my case. 
Note: Error screenshot is attached. 

Swagger-Error.png

 

1 ACCEPTED SOLUTION

Accepted Solutions
HKosova
Moderator

Re: Unable to Install Swagger Plugin <PluginManagerAction.ThisPlugin.NotAvailable> (ReadyAPi3.

@hafizimraan you don't need that plugin. OpenAPI/Swagger support (i.e. that plugin's functionality) is included in ReadyAPI itself since v. 2.2:

 

We have also ported support for earlier Swagger versions to the product (Swagger 1.x and 2.0). So, the ReadyAPI Swagger plugin is not needed anymore.


 


Helen Kosova
SmartBear Documentation Team Lead
________________________
Did my reply answer your question? Give Kudos or Accept it as a Solution to help others. ⬇️⬇️⬇️

View solution in original post

3 REPLIES 3
nmrao
Community Hero

Re: Unable to Install Swagger Plugin <PluginManagerAction.ThisPlugin.NotAvailable> (ReadyAPi3.

- Download the plugin jar file (if you get it) online
- Go to user home directory and copy above downloaded jar file under
.readyapi/pugins directory.
-Restart the tool.


Regards,
Rao.
nmrao
Community Hero

Re: Unable to Install Swagger Plugin <PluginManagerAction.ThisPlugin.NotAvailable> (ReadyAPi3.

You may check here for the plugin download
https://github.com/SmartBear/readyapi-swagger-plugin/releases


Regards,
Rao.
HKosova
Moderator

Re: Unable to Install Swagger Plugin <PluginManagerAction.ThisPlugin.NotAvailable> (ReadyAPi3.

@hafizimraan you don't need that plugin. OpenAPI/Swagger support (i.e. that plugin's functionality) is included in ReadyAPI itself since v. 2.2:

 

We have also ported support for earlier Swagger versions to the product (Swagger 1.x and 2.0). So, the ReadyAPI Swagger plugin is not needed anymore.


 


Helen Kosova
SmartBear Documentation Team Lead
________________________
Did my reply answer your question? Give Kudos or Accept it as a Solution to help others. ⬇️⬇️⬇️

View solution in original post

New Here?
Join us and watch the welcome video:
Announcements
Top Kudoed Authors